#!/bin/bash

STATUS_MAIN(){

echo "[Процессор]"

cpumhz=`cat /sys/mpm/op | sed s/" MHz"/MHz/`

echo "Частота процессора: $cpumhz "
echo "[Память RAM]"
memmax=`sed -n 1\p /proc/meminfo | sed s/"MemTotal:"// | sed s/" kB"/KB/ | sed s/" "//g`
memfree=`sed -n 2\p /proc/meminfo | sed s/"MemFree:"// | sed s/" kB"/KB/ | sed s/" "//g`
memcached=`sed -n 4\p /proc/meminfo | sed s/"Cached:"// | sed s/"kB"/KB/ | sed s/" "//g`
echo "Всего RAM:  $memmax "
echo "Занято:  $memcached"
echo "Свободно:   $memfree "
echo "[Swap]"
swapmax=`sed -n 12\p /proc/meminfo | sed s/"SwapTotal:"// | sed s/" kB"/KB/ | sed s/" "//g`
swapfree=`sed -n 13\p /proc/meminfo | sed s/"SwapFree:"// | sed s/" kB"/KB/ | sed s/" "//g`
swapother=`sed -n 5\p /proc/meminfo | sed s/"SwapCached:"// | sed s/" kB"/KB/ | sed s/" "//g`
echo "Всего Swap:  $swapmax"
echo "Занято:  $swapother"
echo "Свободно:  $swapfree"

echo "[Память ROM]"
EZXLOCAL=`df | grep /ezxlocal/download/mystuff`
EZXLOCAL2=${EZXLOCAL:40:10}
echo "Телефон: ${EZXLOCAL2} KB"

MEMCARD=`df | grep /dev/mmca1`
MEMCARD2=${MEMCARD:40:10}
echo "Карта памяти: ${MEMCARD2} KB"




}

STATUS_MAIN > /tmp/.status

export QTDIR=/usr/lib/ezx

showQ "Статус" "`cat /tmp/.status`" 2

rm -f /tmp/.status
